View Issue Details

IDProjectCategoryView StatusLast Update
0000808SketcherBugpublic2012-11-03 20:56
ReporteralmesberAssigned Tologari81 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.13 
Summary0000808: Sketcher: drawing arc over "imported" arc causes assertion failure
DescriptionWhen trying to draw an arc on top of an arc obtained from another sketch with "Create an edge linked to an external geometry", I get the following assertion failure:

freecad: /build/buildd/freecad-0.13/src/Mod/Sketcher/App/Sketch.cpp:432: int Sketcher::Sketch::checkGeoId(int): Assertion `geoId >= 0 && geoId < int(Geoms.size())' failed.

I can reproduce it as follows:

- start freecad on case.fcstd
- select "Sketcher"
- double-click "Sketch"
- zoom/pan to lower left corner
- draw new arc on the three points of the inner arc in this order: center, 6 o'clock, then 9 o'clock
- freecad crashes
Additional InformationFreeCAD 0.13, Libs: 0.13R1288 (Git)
(from daily build for Ubuntu.)
Running Ubuntu 12.04 LTS on x86_64.
TagsNo tags attached.

Issue History

Date Modified Username Field Change
2012-08-01 19:02 almesber New Issue
2012-08-01 19:02 almesber File Added: case.fcstd
2012-08-02 08:29 logari81 Assigned To => logari81
2012-08-02 08:29 logari81 Status new => assigned
2012-08-02 08:29 logari81 Summary sketch: drawing arc over "imported" arc causes assertion failure => Sketcher: drawing arc over "imported" arc causes assertion failure
2012-08-06 21:26 logari81 Note Added: 0002311
2012-11-03 20:56 logari81 Status assigned => closed
2012-11-03 20:56 logari81 Resolution open => fixed
2012-11-03 20:56 logari81 Fixed in Version => 0.13